# TODO
# - system locale dir
%define		status		stable
%define		pearname	Horde_Crypt
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Cryptography API
Name:		php-horde-Horde_Crypt
Version:	1.1.2
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	096ea202a62d5a8c1c54849b9c4863ed
URL:		https://github.com/horde/horde/tree/master/framework/Crypt/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(hash)
Requires:	php(openssl)
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Mime < 2.0.0
Requires:	php-horde-Horde_Stream_Filter < 2.0.0
Requires:	php-horde-Horde_Translation < 2.0.0
Requires:	php-horde-Horde_Util < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-bcmath
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Horde_Crypt package class provides an API for various
cryptographic systems.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Crypt.php
%{php_pear_dir}/Horde/Crypt
%{php_pear_dir}/data/Horde_Crypt
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> d100290
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> e22cbde
- updated to: 1.1.2

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 02382a2
- updated to: 1.1.1

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> e93349b
- updated to: 1.0.5

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 1140c04
- updated to: 1.0.4

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 4d79848
- updated to: 1.0.2

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 82e4fa4
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> d75aec4
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> ed892b4
- horde h4 pear packages

